谁能告诉我这怎么做?

为当前最终发行版之前的所有版本提供支持
bg4ban
帖子: 37
注册时间: 2009-05-15 21:23
送出感谢: 0
接收感谢: 0

谁能告诉我这怎么做?

#1

帖子 bg4ban » 2010-10-30 9:51

./configure
make
sudo make install
不懂上面什么意思,请教各位前辈
windows7@ubuntu:~$ ./configure
bash: ./configure: 没有那个文件或目录
windows7@ubuntu:~$ sudo ./configure
sudo: ./configure: command not found
windows7@ubuntu:~$
真不懂怎么操作
上次由 bg4ban 在 2010-10-30 9:56,总共编辑 1 次。
lovevolution
帖子: 24
注册时间: 2010-06-24 16:40
送出感谢: 0
接收感谢: 0

Re: 谁能告诉我这怎么做?

#2

帖子 lovevolution » 2010-10-30 9:53

第一步生成makefile,指定编译规则;然后输入make,make会根据makefile调用编译器进行编译;最后是安装编译好的程序
头像
xianjian
帖子: 173
注册时间: 2007-11-11 10:55
送出感谢: 0
接收感谢: 0

Re: 谁能告诉我这怎么做?

#3

帖子 xianjian » 2010-10-30 9:54

你可以先试试进入终端然后进入安装文件所在目录,接着把

代码: 全选

./configure
make
sudo make install 
按次序打进去看看会发生什么。。
您可以随便看看~
百毒一下你就知道了,Google一下你知道的就太多了
头像
IDRI
帖子: 476
注册时间: 2010-07-02 21:47
送出感谢: 0
接收感谢: 0

Re: 谁能告诉我这怎么做?

#4

帖子 IDRI » 2010-10-30 9:57

上面的说法没有错。你是想安装软件吗?如果是这样,又如果你是新手的。我不见意你用这种编译的方法安装,新手用这个安装软件会极大的打击你们的信心。用deb安装包吧!也可以在源里安装。
是什么软件
对系统:更加了解; 对软件:更强,更新,更有趣

ubuntu--arch--gentoo

vim(latex-suit),tex(xelatex,metapost),zim,chromium,virtualbox,awk......
bg4ban
帖子: 37
注册时间: 2009-05-15 21:23
送出感谢: 0
接收感谢: 0

Re: 谁能告诉我这怎么做?

#5

帖子 bg4ban » 2010-10-30 9:59

我进去后这样的结果:
windows7@ubuntu:~$ cd /usr/share/libtool/libltdl
windows7@ubuntu:/usr/share/libtool/libltdl$ ./configure
./configure: line 1970: config.log: Permission denied
./configure: line 1980: config.log: Permission denied
windows7@ubuntu:/usr/share/libtool/libltdl$ make
make: *** 没有指明目标并且找不到 makefile。 停止。
windows7@ubuntu:/usr/share/libtool/libltdl$
bg4ban
帖子: 37
注册时间: 2009-05-15 21:23
送出感谢: 0
接收感谢: 0

Re: 谁能告诉我这怎么做?

#6

帖子 bg4ban » 2010-10-30 9:59

我装飞信看着步骤一步步做的
lovevolution
帖子: 24
注册时间: 2010-06-24 16:40
送出感谢: 0
接收感谢: 0

Re: 谁能告诉我这怎么做?

#7

帖子 lovevolution » 2010-10-30 10:01

bg4ban 写了:我进去后这样的结果:
windows7@ubuntu:~$ cd /usr/share/libtool/libltdl
windows7@ubuntu:/usr/share/libtool/libltdl$ ./configure
./configure: line 1970: config.log: Permission denied
./configure: line 1980: config.log: Permission denied
windows7@ubuntu:/usr/share/libtool/libltdl$ make
make: *** 没有指明目标并且找不到 makefile。 停止。
windows7@ubuntu:/usr/share/libtool/libltdl$
不推荐在/usr/share/libtool/libtdl进行编译……如果忍不住就加上sudo
bg4ban
帖子: 37
注册时间: 2009-05-15 21:23
送出感谢: 0
接收感谢: 0

Re: 谁能告诉我这怎么做?

#8

帖子 bg4ban » 2010-10-30 10:03

windows7@ubuntu:/usr/share/libtool/libltdl$ cd /etc/bash_completion.d
windows7@ubuntu:/etc/bash_completion.d$ ./configure
bash: ./configure: 权限不够
windows7@ubuntu:/etc/bash_completion.d$ sudo ./configure
sudo: ./configure: command not found
windows7@ubuntu:/etc/bash_completion.d$
不懂怎么做了
头像
tenzu
论坛版主
帖子: 36913
注册时间: 2008-11-21 20:26
送出感谢: 0
接收感谢: 21 次

Re: 谁能告诉我这怎么做?

#9

帖子 tenzu » 2010-10-30 10:03

代码: 全选

sudo aptitude install build-essential
先把编译要用的基本工具装上
bg4ban
帖子: 37
注册时间: 2009-05-15 21:23
送出感谢: 0
接收感谢: 0

Re: 谁能告诉我这怎么做?

#10

帖子 bg4ban » 2010-10-30 10:06

windows7@ubuntu:/etc/bash_completion.d$ cd /usr/share/libtool/libltdl
windows7@ubuntu:/usr/share/libtool/libltdl$ sudp make
未找到 'sudp' 命令,您要输入的是否是:
命令 'sup' 来自于包 'sup' (universe)
命令 'sudo' 来自于包 'sudo' (main)
命令 'sudo' 来自于包 'sudo-ldap' (universe)
命令 'sfdp' 来自于包 'graphviz' (main)
sudp:找不到命令
windows7@ubuntu:/usr/share/libtool/libltdl$ sudo make
make: *** 没有指明目标并且找不到 makefile。 停止。
windows7@ubuntu:/usr/share/libtool/libltdl$
加了sudo 还是不行?真不懂了
bg4ban
帖子: 37
注册时间: 2009-05-15 21:23
送出感谢: 0
接收感谢: 0

Re: 谁能告诉我这怎么做?

#11

帖子 bg4ban » 2010-10-30 10:07

windows7@ubuntu:~$ sudo aptitude install build-essential
[sudo] password for windows7:
sudo: aptitude: command not found
windows7@ubuntu:~$ sudo apt-get install build-essential
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
build-essential 已经是最新的版本了。
build-essential 被设置为手动安装。
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级
那个我已经装了
bg4ban
帖子: 37
注册时间: 2009-05-15 21:23
送出感谢: 0
接收感谢: 0

Re: 谁能告诉我这怎么做?

#12

帖子 bg4ban » 2010-10-30 10:09

我先撞了这些:
Ubuntu下的安装方法:

sudo apt-get install libxml2-dev
sudo apt-get install libgtk2.0-dev
sudo apt-get install libssl-dev
sudo apt-get install libnotify-dev
sudo apt-get install libgstreamer0.10-dev
sudo apt-get install intltool
sudo apt-get install libsqlite3-dev
sudo apt-get install libnm-glib-dev
sudo apt-get install libxss-dev
之后叫我
4.软件的安装:

./configure
make
sudo make install
可是不行
bg4ban
帖子: 37
注册时间: 2009-05-15 21:23
送出感谢: 0
接收感谢: 0

Re: 谁能告诉我这怎么做?

#13

帖子 bg4ban » 2010-10-30 10:10

他是这么说的
Openfetion
更新时间: 2010年10月25日

Openfetion是基于GTK+2.0的IM客户端,使用中国移动飞信v4版本协议。Follow Me: @levin108

注意事项:

最新版本:v2.0 请大家下载最新版使用
1.在安装2.0版本之前请先删除之前装的旧版本,否则可能造成登录失败。下载删除脚本

2.安装完成后若出现
openfetion: error while loading shared libraries: libofetion.so.0: cannot open shared object file: No such file or directory
请在终端中运行ldconfig

本软件的贡献者:

happyaron : 制作并长期维护本软件的ppa

wzssyqa : 完成了openfetion的国际化,openfetion-i18n

Mingxi Wu : 修复了CPU占用率100%的bug,解决emtion dialog在taskbar里显示的问题

感谢以上各位对OpenFetion所做出的贡献
头像
xianjian
帖子: 173
注册时间: 2007-11-11 10:55
送出感谢: 0
接收感谢: 0

Re: 谁能告诉我这怎么做?

#14

帖子 xianjian » 2010-10-30 10:13

刚刚接触U还是deb包好
windows7@ubuntu:/usr/share/libtool/libltdl$ sudo make
make: *** 没有指明目标并且找不到 makefile。 停止。
你的./configure真的正常运行了?
您可以随便看看~
百毒一下你就知道了,Google一下你知道的就太多了
bg4ban
帖子: 37
注册时间: 2009-05-15 21:23
送出感谢: 0
接收感谢: 0

Re: 谁能告诉我这怎么做?

#15

帖子 bg4ban » 2010-10-30 10:14

我之前没有装过飞信
回复

回到 “老旧版本支持”